//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using CommunityServer.ControlPanel.Controls;
using CommunityServer.ControlPanel.UI;
using CommunityServer.Controls;
using ResourceControl = CommunityServer.ControlPanel.Controls.ResourceControl;
using ResourceLinkButton = CommunityServer.ControlPanel.Controls.ResourceLinkButton;

namespace CommunityServer.ControlPanel.Forums
{
	/// <summary>
	/// Summary description for DefaultPermissionList.
	/// </summary>
	public class DefaultPermissionList : BaseForumPage
	{
		protected ResourceLinkButton SaveButton;
		protected ControlPanelSelectedNavigation SelectedNavigation1;
		protected DefaultPermissionListControl DefaultPermissionListControl1;
		protected ResourceControl SectionDescription;
		protected MPContent DescriptionRegion;
		protected ResourceControl Section_Sub_Description;
		protected ResourceControl Resourcecontrol1;
		protected MPContent TaskRegion;
		protected MPContainer Mpcontainer1;
		protected DefaultPermissionListAdminControl DefaultPermissionListAdminControl1;
	
		override protected void OnInit(EventArgs e)
		{
			this.Load += new EventHandler(this.Page_Load);

			base.OnInit(e);
			this.SaveButton.Click +=new EventHandler(SaveButton_Click);
		}

		private void Page_Load(object sender, EventArgs e)
		{
		}

		private void InitializeComponent()
		{

		}

		private void SaveButton_Click(object sender, EventArgs e)
		{
			DefaultPermissionListControl1.Save();
			DefaultPermissionListAdminControl1.Save();
			Response.Redirect(Request.RawUrl);
		}

		
	}
}
